Jump to content

Gen 1 to Gen 7 Incorrect Met Version Flag


Recommended Posts

Hey all!

I wouldn't be surprised if this is already known, but a search didn't bring anything up so I thought I'd make this post.

 

When dragging a Pokemon from Green or Blue Version into a Gen7 box, it will be listed as having come from Red version instead of the appropriate game.
Importing through the official Poke Transporter, however, adds the correct met game version.

 

A small issue, but would be nice for it to get squashed eventually.

Link to post
Share on other sites
1 minute ago, Omegawolfcat said:

Hey all!

I wouldn't be surprised if this is already known, but a search didn't bring anything up so I thought I'd make this post.

 

When dragging a Pokemon from Green or Blue Version into a Gen7 box, it will be listed as having come from Red version instead of the appropriate game.
Importing through the official Poke Transporter, however, adds the correct met game version.

 

A small issue, but would be nice for it to get squashed eventually.

When dragging from one game save to another PKHeX basically make a temporary .pk1 file and pk1 files don't store game version metadata. The only reason the Bank does this correctly is because Bank reads what game save it is importing Pokemon from and adds that metadata when it converts the Pokemon to the gen 7 format. Basically the Pokemon is converted to a gen 7 format when the gen 1 save data is still stored in the app. So when you use PKHeX with two windows open the two open windows don't communicate with one another; therefore, when importing a gen 1 Pokemon to gen 7 PKHeX it only reads the import file as a pk1 file and will apply its default game version which for gen 1 Pokemon is Pokemon Red.

  • Like 1
  • Ditto 1
Link to post
Share on other sites

Oh I know why it does it the way it does currently. It's still an issue, even if relatively small.

 

I would personally suggest an import option, or a pop-up (which could be disabled) asking which Gen1 game you're importing it from. Or even like, when opening up FR/LG how it asks the particular version.

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...